Bug 357161 - Gnucash Refusing to Start on x86_64
Gnucash Refusing to Start on x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 15:04 EDT by Devan Goodwin
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.2.1-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 13:07:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2007-10-29 15:04:13 EDT
Starting sometime in the last month or two, gnucash has begun to refuse to launch.

(dev@kramer)[~] % gnucash    
gnucash-bin: error while loading shared libraries: libgncmod-engine.so: wrong
ELF class: ELFCLASS32

Version-Release number of selected component (if applicable):

(dev@kramer)[~] % rpm -qa gnucash
gnucash-2.2.1-2.fc7
gnucash-2.2.1-2.fc7
(dev@kramer)[~] % 



How reproducible:

Always.

Steps to Reproduce:

1. Launch gnucash, from command line if you wish to see the error message.
Comment 1 Bill Nottingham 2007-10-29 15:15:42 EDT
Reinstalling the x86_64 version with --force should do the trick.
Comment 2 Devan Goodwin 2007-10-29 15:26:16 EDT
Just for some additional info, before filing the ticket I tried removing the
i386 version as I thought perhaps it was no longer needed (given the error
message) which clearly did not work. I then removed gnucash completely and
reinstalled with yum, and the same error was present.

I wasn't sure how to reinstall with --force as the rpm wasn't on the system, but
I tried removing the x86_64 version with the following:

(root@kramer)[~] # rpm -e gnucash.x86_64
(root@kramer)[~] # yum install gnucash
Setting up Install Process
Parsing package install arguments
Package gnucash - 2.2.1-2.fc7.i386 is already installed.
Resolving Dependencies
--> Running transaction check
---> Package gnucash.x86_64 0:2.2.1-2.fc7 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 gnucash                 x86_64     2.2.1-2.fc7      updates           5.6 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 5.6 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): gnucash-2.2.1-2.fc 100% |=========================| 5.6 MB    00:09     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/bin/gnc-fq-check from install of gnucash-2.2.1-2.fc7 conflicts with
file from package gnucash-2.2.1-2.fc7
  file /usr/bin/gnc-fq-helper from install of gnucash-2.2.1-2.fc7 conflicts with
file from package gnucash-2.2.1-2.fc7
  file /usr/bin/gnc-fq-update from install of gnucash-2.2.1-2.fc7 conflicts with
file from package gnucash-2.2.1-2.fc7
  file /usr/bin/gnucash from install of gnucash-2.2.1-2.fc7 conflicts with file
from package gnucash-2.2.1-2.fc7
  file /usr/bin/gnucash-valgrind from install of gnucash-2.2.1-2.fc7 conflicts
with file from package gnucash-2.2.1-2.fc7
  file /usr/libexec/gnucash/overrides/gnucash-env from install of
gnucash-2.2.1-2.fc7 conflicts with file from package gnucash-2.2.1-2.fc7

Error Summary
-------------

(root@kramer)[~] # find /var -name "*gnucash*.rpm"
/var/cache/yum/updates/packages/gnucash-2.2.1-2.fc7.x86_64.rpm
(root@kramer)[~] # rpm -i --force
/var/cache/yum/updates/packages/gnucash-2.2.1-2.fc7.x86_64.rpm
(root@kramer)[~] # 

The suggested workaround works properly, I can now launch gnucash again once I
follow the above steps. (thanks!)
Comment 3 Bill Nottingham 2007-10-29 15:54:26 EDT
What version of rpm do you have installed?
Comment 4 Devan Goodwin 2007-10-29 15:56:57 EDT
rpm-4.4.2.2-2.fc7
Comment 5 Bill Nottingham 2007-10-29 15:59:41 EDT
If you do:

'rpm -e --allmatches gnucash'

'yum install gnucash'

do you get the broken behavior?
Comment 6 Devan Goodwin 2007-10-29 16:07:57 EDT
Yes. Same error persists.
Comment 7 Fedora Update System 2007-11-09 18:55:44 EST
gnucash-2.2.1-4.fc7, gnucash-docs-2.2.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnucash gnucash-docs'
Comment 8 Fedora Update System 2007-11-20 13:06:59 EST
gnucash-2.2.1-4.fc7, gnucash-docs-2.2.0-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.